
package net.mcreator.infinity.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.world.World;
import net.minecraft.item.UseAction;
import net.minecraft.item.Rarity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.Food;
import net.minecraft.entity.LivingEntity;

import net.mcreator.infinity.procedures.NewyearcandyFoodEatenProcedure;
import net.mcreator.infinity.InfinityModElements;

import java.util.Map;
import java.util.HashMap;

@InfinityModElements.ModElement.Tag
public class NewyearcandyItem extends InfinityModElements.ModElement {
	@ObjectHolder("infinity:newyearcandy")
	public static final Item block = null;
	public NewyearcandyItem(InfinityModElements instance) {
		super(instance, 90);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}
	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(ItemGroup.FOOD).maxStackSize(64).rarity(Rarity.RARE)
					.food((new Food.Builder()).hunger(11).saturation(0.6f).setAlwaysEdible().build()));
			setRegistryName("newyearcandy");
		}

		@Override
		public int getUseDuration(ItemStack stack) {
			return 24;
		}

		@Override
		public UseAction getUseAction(ItemStack itemstack) {
			return UseAction.EAT;
		}

		@Override
		public ItemStack onItemUseFinish(ItemStack itemstack, World world, LivingEntity entity) {
			ItemStack retval = super.onItemUseFinish(itemstack, world, entity);
			double x = entity.getPosX();
			double y = entity.getPosY();
			double z = entity.getPosZ();
			{
				Map<String, Object> $_dependencies = new HashMap<>();
				$_dependencies.put("entity", entity);
				NewyearcandyFoodEatenProcedure.executeProcedure($_dependencies);
			}
			return retval;
		}
	}
}
